<?php 
/* SVN FILE: $Id$ */
/* Profile Test cases generated on: 2009-12-28 15:12:41 : 1261980761*/
App::import('Model', 'Profile');

class ProfileTestCase extends CakeTestCase {
	var $Profile = null;
	var $fixtures = array('app.profile', 'app.system', 'app.profile_select', 'app.profile_table');

	function startTest() {
		$this->Profile =& ClassRegistry::init('Profile');
	}

	function testProfileInstance() {
		$this->assertTrue(is_a($this->Profile, 'Profile'));
	}

	function testProfileFind() {
		$this->Profile->recursive = -1;
		$results = $this->Profile->find('first');
		$this->assertTrue(!empty($results));

		$expected = array('Profile' => array(
			'id'  => 1,
			'system_id'  => 1,
			'name'  => 'Lorem ipsum dolor sit amet',
			'caption'  => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida,phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam,vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit,feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'required'  => 1,
			'show_list'  => 1,
			'sort_order'  => 1,
			'is_link'  => 1
		));
		$this->assertEqual($results, $expected);
	}
}
?>